#
# spec file for package NetworkManager-openconnect
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           NetworkManager-openconnect
Version:        1.0.2
Release:        5.3
# FIXME: Verify, if -Wno-deprecated-declarations CFLAG is still required
Summary:        NetworkManager VPN support for OpenConnect
License:        GPL-2.0+ and LGPL-2.1
Group:          Productivity/Networking/System
Url:            http://www.gnome.org/projects/NetworkManager
Source0:        http://download.gnome.org/sources/NetworkManager-openconnect/1.0/%{name}-%{version}.tar.xz
BuildRequires:  intltool
BuildRequires:  translation-update-upstream
BuildRequires:  pkgconfig(NetworkManager) >= 0.9.10
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.4
BuildRequires:  pkgconfig(libnm-glib) >= 0.9.10
BuildRequires:  pkgconfig(libnm-glib-vpn) >= 0.9.10
BuildRequires:  pkgconfig(libnm-util) >= 0.9.10
BuildRequires:  pkgconfig(libsecret-unstable)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(openconnect) >= 3.02
Requires:       %{name}-frontend
Requires:       NetworkManager >= 0.9.10
Requires:       openconnect
Requires(pre):  pwdutils
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x

%description
NetworkManager-openconnect provides VPN support to NetworkManager for
OpenConnect, an implementation of the Cisco AnyConnect VPN system.

%package gnome
Summary:        NetworkManager VPN support for OpenConnect
Group:          Productivity/Networking/System
Requires:       %{name} = %{version}
Requires:       NetworkManager-gnome >= 0.5.1
Provides:       %{name}-frontend

%description gnome
NetworkManager-openconnect provides VPN support to NetworkManager for
OpenConnect, an implementation of the Cisco AnyConnect VPN system.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
export CFLAGS="%{optflags} -Wno-deprecated-declarations"
%configure \
        --disable-static
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%clean
rm -rf %{buildroot}

%pre
getent group  nm-openconnect >/dev/null || groupadd -r nm-openconnect
getent passwd nm-openconnect >/dev/null || useradd  -r -g nm-openconnect \
                                                    -d %{_localstatedir}/lib/nm-openconnect \
                                                    -s /sbin/nologin \
                                                    -c "NetworkManager user for OpenConnect" \
                                                    nm-openconnect
exit 0

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%{_libexecdir}/nm-openconnect-service
%{_libexecdir}/nm-openconnect-service-openconnect-helper
%{_sysconfdir}/NetworkManager/VPN/nm-openconnect-service.name
%{_sysconfdir}/dbus-1/system.d/nm-openconnect-service.conf

%files gnome
%defattr(-,root,root,-)
%{_libdir}/NetworkManager/libnm-openconnect-properties.so*
%{_libexecdir}/nm-openconnect-auth-dialog
%{_datadir}/gnome-vpn-properties/

%files lang -f %{name}.lang

%changelog
* Wed May  6 2015 dimstar@opensuse.org
- Update to version 1.0.2:
  + Updated translations.
* Tue Mar 17 2015 dimstar@opensuse.org
- Replace openconnect-devel BuildRequires with
  pkgconfig(openconnect), matching what configure checks for.
* Tue Jan 27 2015 dimstar@opensuse.org
- Update to version 1.0.0:
  + Dropped support for libopenconnect.so.1.
  + Added support for libopenconnect.so.4.
  + Added support HMAC-based One Time Password (HOTP).
  + Updated translations.
- Drop NetworkManager-openconnect-7.0.patch: fixed upstream.
* Mon Dec  8 2014 dimstar@opensuse.org
- Add NetworkManager-openconnect-7.0.patch: Fix build with
  OpenConnect 7.0. Patch taken from git, commit 58944a3.
* Fri Jul 11 2014 dimstar@opensuse.org
- Update to version 0.9.10.0:
  + Use libsecret for password storage instead of gnome-keyring.
  + Updated translations.
- Replace pkgconfig(gnome-keyring-1) BuildRequires with
  pkgconfig(libsecret-unstable), following upstreams switch to
  libsecret.
* Sun Mar 16 2014 zaitor@opensuse.org
- Update to version 0.9.8.6:
  + Add support for OpenConnect 6.0.
  + Allow alpha-numeric software token secrets instead of only
    numeric ones.
  + Add support for TOTP tokens.
  + Hide irrelevant options from the auth dialog.
  + Show correct options when user selects a different auth group.
  + Updated translations.
* Fri Sep 13 2013 dimstar@opensuse.org
- Update to version 0.9.8.4:
  + Fixed paths in VPN service file.
  + Fixed localization in non-UTF-8 locales.
  + Removed spurious GConf dependency.
  + Updated translations.
- Drop pkgconfig(gconf-2.0) BuildRequires: no longer needed.
* Thu Jul 11 2013 dimstar@opensuse.org
- Add -Wno-deprecated-declarations to CFLAGS to not fail on
  use of deprectaed symbols of GTK+ 3.9.
* Fri Jun 21 2013 dimstar@opensuse.org
- Update to version 0.9.8.2:
  + Automatically start if there's only one host.
  + Updated translations.
* Fri Feb 22 2013 zaitor@opensuse.org
- Update to version 0.9.8.0:
  + Builds against the GNOME 3.8 versions of GLib and Gtk+.
  + Software Tokens are now supported (if libopenconnect has support
    for them).
  + Fixed typos in several messages.
  + nm-openconnect-service now returns translated error messages.
  + Updated translations.
- Drop NetworkManager-openconnect-g_type_init.patch, fixed
  upstream.
* Sat Jan 12 2013 dimstar@opensuse.org
- Add NetworkManager-openconnect-g_type_init.patch: g_type_init()
  is deprecated. Fix build with glib 2.35.x.
* Mon Aug 13 2012 dimstar@opensuse.org
- Update to version 0.9.6.2:
  + Ensure IPv6 UI components appear in the editor.
* Tue Aug  7 2012 dimstar@opensuse.org
- Update to version 0.9.6.0:
  + Do not fail if no IPv6 address is retrieved.
  + Ensure invalid IPv6 address triggers an error.
* Fri Jun 29 2012 dimstar@opensuse.org
- Update to version 0.9.5.95:
  + Better handling of connection cancellation.
  + Add IPv6 support.
  + Allow building with gnutls instead of openssl.
  + Use multiple domains if given.
  + Store passwords in GNOME keyring.
  + Updated translations.
- Add pkgconfig(gnome-keyring-1) BuildRequires: New dependency.
- Drop NetworkManager-openconnect-0.9.4-dropping_privs_check.patch:
  fixed upstream.
* Fri Mar 30 2012 toddrme2178@gmail.com
- Add NetworkManager-openconnect-0.9.4-dropping_privs_check.patch:
  check for success when dropping privileges. This issue was raised
  by the security team in bnc#732915, comments 13-16. Patch taken
  from upstream.
* Sat Mar 24 2012 vuntz@opensuse.org
- Update to version 0.9.4.0:
  + Build system changes.
* Fri Mar  2 2012 dimstar@opensuse.org
- Update to version 0.9.3.995:
  + Misc bug fixes.
  + Updated translations.
- Drop upstream merged patches:
  + nm-openconnect-0.9.2.0-g_thread_init.patch
  + nm-openconnect-0.9.2.0-g_thread_new.patch
  + nm-openconnect-0.9.2.0-gmutex.patch
  + nm-openconnect-0.9.2.0-gtk_box_new.patch
  + nm-openconnect-0.9.2.0-gtypes.patch
* Wed Dec 21 2011 vuntz@opensuse.org
- Remove rpmlintrc: the dbus service is now authorized (see
  bnc#732915).
- Remove pkgconfig(gnome-keyring-1) BuildRequires: it's not needed.
- Add explicit pkgconfig(libnm-glib-vpn) BuildRequires.
- Do not  call %%icon_theme_cache_post/%%icon_theme_cache_postun in
  scriptlets for the gnome subpackage: there is no icon shipped in
  the package.
- Various cleanups for inclusion in Factory.
* Mon Nov 28 2011 toddrme2178@gmail.com
- Create the nm-openconnect user, as per discussion in bnc#732915.
- Fix license (at least according to Fedora): one binary is
  LGPL-2.1.
* Tue Nov  8 2011 toddrme2178@gmail.com
- Initial spec file
